#-------------------------------------------------------------.
# ポーズリストから、指定のポーズ情報を削除.
# @param[in]  select_index   リスト上の削除するインデックス.
#-------------------------------------------------------------.
import urllib
import os
import os.path
import shutil

SAVE_FILE_NAME = 'pose_data.txt'
TEMP_FILE_NAME = 'pose_data_tmp.txt'

# ファイルを開く.
targetFile = urllib.unquote(f_location) + '/datas/' + SAVE_FILE_NAME
tempFile   = urllib.unquote(f_location) + '/datas/' + TEMP_FILE_NAME

select_index = int(select_index)

result = ''
if os.path.exists(targetFile) == True:
	f  = open(targetFile, 'r')
	wf = open(tempFile, 'w')

	index = -1
	lineStr = f.readline()
	while lineStr:
		if len(lineStr) != 0:
			if lineStr[0] == '#':
				index += 1
			if index != select_index:
				wf.writelines(lineStr)

		lineStr = f.readline()

	f.close()
	wf.close()

	shutil.copyfile(tempFile, targetFile)
	os.remove(tempFile)
